Bug 1250290 - ipv6 support for link-local addresses
ipv6 support for link-local addresses
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pingfan Liu
Qiao Zhao
: FutureFeature
Depends On:
Blocks: 1548445 1549423
  Show dependency treegraph
 
Reported: 2015-08-04 23:25 EDT by Minfei Huang
Modified: 2018-05-01 10:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-29 22:22:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Minfei Huang 2015-08-04 23:25:53 EDT
Description of problem:
Now we only support the non-local scope ipv6 protocol. Track the ipv6 new feature to support local scope ipv6 protocol. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Ziyue Yang 2017-07-18 00:44:50 EDT
When dumping to ssh via local ipv6 address, the ssh parameter
in kdump.conf is supposed to have the form like

ssh user@fe80::cc1:8bff:fe90:b95f%eth0

where "%eth0" is an existing network interface supporting ipv6.

However, the get_remote_host function in kdump-lib.sh currently
doesn't remove the network interface in the ipv6 address,
causing the ip command in kdump_install_net function to fail,
leading to a "Bad kdump location" message.

Note You need to log in before you can comment on or make changes to this bug.